//------------------------------------------------------------------------------
// This file is part of Remote Proxy Controller by J.C.A. Wevers
// Distributed under the GNU general public license.
//
// File: about.cpp
//
// Contains the about form.
//------------------------------------------------------------------------------
#include <vcl.h>
#include <shellapi.h>
#pragma hdrstop

#include "about.h"
#include "scc.h"
//------------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TAboutForm* AboutForm;
//------------------------------------------------------------------------------
__fastcall TAboutForm::TAboutForm(TComponent* Owner): TForm(Owner)
{
  Caption = "About " + Application->Title;
  Panel3->Color = (TColor)0x00E1FFFF;
}

//------------------------------------------------------------------------------
void __fastcall TAboutForm::OKButtonClick(TObject* Sender)
{
  Close();
}

//------------------------------------------------------------------------------
// Close form on escape and return
//------------------------------------------------------------------------------
void __fastcall TAboutForm::FormKeyDown(TObject* Sender, WORD& Key, TShiftState Shift)
{
  if ( (Key == VK_ESCAPE) || (Key == VK_RETURN) ) Close();
}

//------------------------------------------------------------------------------
// Reposition the form. If it is put below the bottom of the screen this is
// corrected but the taskbar is not taken into account for this.
//------------------------------------------------------------------------------
void __fastcall TAboutForm::FormShow(TObject* Sender)
{
  // Position the form
  Top = MainForm->Top + MainForm->Height - Height;
  if ( Top < 0 ) Top = 0;
  Left = MainForm->Left + 0.5 * (MainForm->Width - Width);
}

//------------------------------------------------------------------------------
// Mail me
//------------------------------------------------------------------------------
void __fastcall TAboutForm::MailLabelClick(TObject* Sender)
{
  ShellExecute(NULL, "open", "mailto:johanw@vulcan.xs4all.nl", NULL, NULL, SW_SHOWNORMAL);
}

//------------------------------------------------------------------------------
// Go to the website displayed by the label
//------------------------------------------------------------------------------
void __fastcall TAboutForm::WebsiteLabelClick(TObject* Sender)
{
  ShellExecute(NULL, "open", ((TLabel*)Sender)->Caption.c_str(), NULL, NULL, SW_SHOWNORMAL);
}

//------------------------------------------------------------------------------
// Go to the Delphi Cryptography Page
//------------------------------------------------------------------------------
void __fastcall TAboutForm::Label7Click(TObject* Sender)
{
  ShellExecute(NULL, "open", "http://www.scramdisk.clara.net/", NULL, NULL, SW_SHOWNORMAL);
}

//------------------------------------------------------------------------------

